{#
/**
 * @file
 * Theme override to display Islandora Object pages.
 *
 * Available variables:
 * - node: The node entity with limited access to object properties and methods.
     Only "getter" methods (method names starting with "get", "has", or "is")
     and a few common methods such as "id" and "label" are available. Calling
     other methods (such as node.delete) will result in an exception.
 * - label: The title of the node.
 * - content: All node items. Use {{ content }} to print them all,
 *   or print a subset such as {{ content.field_example }}. Use
 *   {{ content|without('field_example') }} to temporarily suppress the printing
 *   of a given child element.
 * - author_picture: The node author user entity, rendered using the "compact"
 *   view mode.
 * - metadata: Metadata for this node.
 * - date: Themed creation date field.
 * - author_name: Themed author name field.
 * - url: Direct URL of the current node.
 * - display_submitted: Whether submission information should be displayed.
 * - attributes: HTML attributes for the containing element.
 *   The attributes.class element may contain one or more of the following
 *   classes:
 *   - node: The current template type (also known as a "theming hook").
 *   - node--type-[type]: The current node type. For example, if the node is an
 *     "Article" it would result in "node--type-article". Note that the machine
 *     name will often be in a short form of the human readable label.
 *   - node--view-mode-[view_mode]: The View Mode of the node; for example, a
 *     teaser would result in: "node--view-mode-teaser", and
 *     full: "node--view-mode-full".
 *   The following are controlled through the node publishing options.
 *   - node--promoted: Appears on nodes promoted to the front page.
 *   - node--sticky: Appears on nodes ordered above other non-sticky nodes in
 *     teaser listings.
 *   - node--unpublished: Appears on unpublished nodes visible only to site
 *     admins.
 * - title_attributes: Same as attributes, except applied to the main title
 *   tag that appears in the template.
 * - content_attributes: Same as attributes, except applied to the main
 *   content tag that appears in the template.
 * - author_attributes: Same as attributes, except applied to the author of
 *   the node tag that appears in the template.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the main title tag that appears in the template.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the main title tag that appears in the template.
 * - view_mode: View mode; for example, "teaser" or "full".
 * - teaser: Flag for the teaser state. Will be true if view_mode is 'teaser'.
 * - page: Flag for the full page state. Will be true if view_mode is 'full'.
 * - readmore: Flag for more state. Will be true if the teaser content of the
 *   node cannot hold the main body content.
 * - logged_in: Flag for authenticated user status. Will be true when the
 *   current user is a logged-in member.
 * - is_admin: Flag for admin user status. Will be true when the current user
 *   is an administrator.
 *
 * @see template_preprocess_node()
 */
#}
{{ attach_library('bootstrap_barrio/node') }}

{%
  set classes = [
  'node',
  'node--type-' ~ node.bundle|clean_class,
  node.isPromoted() ? 'node--promoted',
  node.isSticky() ? 'node--sticky',
  not node.isPublished() ? 'node--unpublished',
  view_mode ? 'node--view-mode-' ~ view_mode|clean_class,
  'clearfix',
]
%}
<article{{ attributes.addClass(classes) }}>
  <div{{ content_attributes.addClass('node__content', 'clearfix') }}>
    <div class="row">
      <div class="col-12 d-flex cl-title-wrapper">
        <h1 class="page-title">
          <span class="cl-logo"><img src="/themes/custom/leaf_base/images/collection-logo.svg" alt=""></span>
          Collection Title
        </h1>
        <nav class="navbar navbar-expand-lg">
          <div class="">
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent1" aria-controls="navbarSupportedContent1" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent1">
              <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                  <a class="nav-link active" aria-current="page" href="#">Home</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#">Link</a>
                </li>
                <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown1" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                    Dropdown
                  </a>
                  <ul class="dropdown-menu" aria-labelledby="navbarDropdown1">
                    <li><a class="dropdown-item" href="#">Action</a></li>
                    <li><a class="dropdown-item" href="#">Another action</a></li>
                    <li><hr class="dropdown-divider"></li>
                    <li><a class="dropdown-item" href="#">Something else here</a></li>
                  </ul>
                </li>
              </ul>
            </div>
          </div>
        </nav>
      </div>
    </div>
    <div class="srot-refine-btns">
      <span class="filterbtn"><a class="fc-heading filterToggleBtn md-hidden" data-bs-toggle="collapse" href="#filterWrapperToggle" aria-expanded="true" aria-controls="filterWrapperToggle">Refine</a></span>
      <span class="right">
        Sort by
        <a class="fc-heading filterToggleBtn" data-bs-toggle="collapse" href="#" aria-expanded="true" aria-controls="">Relevance ↓</a>
      </span>
    </div>
    <div class="content-wrapper d-flex">
      <aside>
        <div class="filterToggle collapse show" id="filterWrapperToggle">
          <form class="filter-checks">
            <div class="">
              <h6 class="fc-heading">Refine</h6>
              <div class="text-right"><button class="btn btn-lg-primary" type="submit">Update</button></div>
            </div>
            <div class="filter-box">
              <a class="fc-heading" data-bs-toggle="collapse" href="#multiCollapseExample" aria-expanded="true" aria-controls="multiCollapseExample1">Project</a>
              <div class="collapse show" id="multiCollapseExample">
                <div class="card card-body">
                  <div class="form-group">
                    <input type="checkbox" id="check1" >
                    <label for="check1">Orlando (120)</label>
                  </div>
                  <div class="form-group">
                    <input type="checkbox" id="check2">
                    <label for="check2">Newcastle Collection (60)</label>
                  </div>
                </div>
              </div>
            </div>
            <div class="filter-box">
              <a class="fc-heading" data-bs-toggle="collapse" href="#multiCollapseExample1" aria-expanded="true" aria-controls="multiCollapseExample1">Publication Date</a>
              <div class="collapse show" id="multiCollapseExample1">
                <div class="input-group input-daterange">
                    <div class="input-group date" id="datepicker1">
                    <input type="date" class="form-control" id="date1"/>
                  </div>
                  <div class="input-group-addon">to</div>
                  <div class="input-group date" id="datepicker2">
                    <input type="date" class="form-control" id="date2"/>
                  </div>
                </div>
              </div>
            </div>
            <div class="filter-box">
              <a class="fc-heading" data-bs-toggle="collapse" href="#multiCollapseExample2" aria-expanded="true" aria-controls="multiCollapseExample1">Century</a>
              <div class="collapse show" id="multiCollapseExample2">
                <div class="card card-body">
                  <div class="form-group">
                    <input type="checkbox" id="check3">
                    <label for="check3">Select all (8)</label>
                  </div>
                  <div class="form-group">
                    <input type="checkbox" id="check4" checked>
                    <label for="check4">1900 to 1999 (199)</label>
                  </div>
                  <div class="form-group">
                    <input type="checkbox" id="check5">
                    <label for="check5">2000 to 2099 (90)</label>
                  </div>
                  <div class="form-group">
                    <input type="checkbox" id="check6" checked>
                    <label for="check6">1800 to 1899  (70)</label>
                  </div>
                  <div class="form-group">
                    <input type="checkbox" id="check7">
                    <label for="check7">1700 to 1799  (57)</label>
                  </div>
                  <div class="form-group">
                    <input type="checkbox" id="check8">
                    <label for="check8">1600 to 1699  (32)</label>
                  </div>
                  <div class="form-group">
                    <input type="checkbox" id="check9">
                    <label for="check9">HTML</label>
                  </div>
                  <div class="form-group">
                    <input type="checkbox" id="check10">
                    <label for="check10">HTML</label>
                  </div>
                </div>
              </div>
            </div>
            <div class="filter-box">
              <a class="fc-heading" data-bs-toggle="collapse" href="#multiCollapseExample3" aria-expanded="true" aria-controls="multiCollapseExample2">Authority</a>
              <div class="collapse show" id="multiCollapseExample3">
                <div class="card card-body">
                  <div class="form-group">
                    <input type="checkbox" id="check11" checked>
                    <label for="check11">Checked for Accuracy (199)</label>
                  </div>
                  <div class="form-group">
                    <input type="checkbox" id="check12">
                    <label for="check12">Published 80)</label>
                  </div>
                </div>
              </div>
            </div>
            <button class="btn btn-lg-primary" type="submit">Update</button>
          </form>
        </div>
      </aside>
      <div class="cl-right-content">
        <div class="content-action-group">
          <div class="view-btns">
            <div class="btn-group">
              <button class="btn">A</button>
              <button class="btn">B</button>
              <button class="btn">C</button>
              <button class="btn">D</button>
            </div>
          </div>
          <div class="pagination-box"></div>
          <div class="cl-counts">
            <span>Show</span>
            <div class="btn-group">
              <button class="btn">10</button>
              <button class="btn">25</button>
              <button class="btn">50</button>
            </div>
          </div>
        </div>

        <!-- collections cards -->
        <div class="collections-grid row row-cols-1 row-cols-md-3 g-4">
          <div class="col">
            <div class="card h-100">
            <div class="card-img"><img src="/themes/custom/leaf_base/images/large-images/grid-thumb.jpg" class="card-img-top" alt="..."></div>
              <div class="card-body">
                <h5 class="card-title"><a href="">Card title</a></h5>
                <p class="card-text">This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</p>
                <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>                
              </div>
            </div>
          </div>
          <div class="col">
            <div class="card h-100">
              <div class="card-img"><img src="/themes/custom/leaf_base/images/repository_item/image-object.png" class="card-img-top icon" alt="..."></div>
              <div class="card-body">
                <h5 class="card-title"><a href="">Card title <img src="/themes/custom/leaf_base/images/repository_item/cc.png" class="img-tag" alt="..."></a></h5>
                <p class="card-text">This is a short card.</p>
                <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>                
              </div>
            </div>
          </div>
          <div class="col">
            <div class="card h-100">
            <div class="card-img"><img src="/themes/custom/leaf_base/images/large-images/grid-thumb.jpg" class="card-img-top" alt="..."></div>
              <div class="card-body">
                <h5 class="card-title"><a href="">Card title</a></h5>
                <p class="card-text">This is a longer card with supporting text below as a natural lead-in to additional content.</p>
                <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>                
              </div>
            </div>
          </div>
          <div class="col">
            <div class="card h-100">
            <div class="card-img"><img src="/themes/custom/leaf_base/images/large-images/grid-thumb.jpg" class="card-img-top" alt="..."></div>
              <div class="card-body">
                <h5 class="card-title"><a href="">Card title</a></h5>
                <p class="card-text">This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</p>
                <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>                
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</article>
